Bug Hunting Session
Bug 106958 - Documents continually freeze for several seconds. Happens every few minutes.
Summary: Documents continually freeze for several seconds. Happens every few minutes.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All Mac OS X (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: perf
: 113468 (view as bug list)
Depends on:
Blocks: MacOS-Performance
  Show dependency treegraph
 
Reported: 2017-04-04 18:43 UTC by wksokoma5
Modified: 2019-08-19 06:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wksokoma5 2017-04-04 18:43:09 UTC
Description:
Continually, when I am using Writer, regardless of what I am writing, the document freezes and I can't move the cursor either with mouse or arrow keys and can't type. Usually I can free it by clicking on the Save icon. But even then, although the cursor is freed up, it is in the wrong place and knocks out some characters in a different line from the one I'm typing in. It happens with whatever I'm typing. 

Steps to Reproduce:
1.typing, adding some text
2.
3.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_5) AppleWebKit/602.2.14 (KHTML, like Gecko) Version/10.0.1 Safari/602.2.14
Comment 1 Alex Thurgood 2017-04-06 10:13:33 UTC
I don't have OSX 10.10 to test with, but there are similar performance problems on OSX 10.12
Comment 2 Alex Thurgood 2017-04-06 10:14:54 UTC
I can confirm this on my MBPRo2013 (core i7) with 16Gb RAM
Comment 3 Alex Thurgood 2017-11-13 14:10:09 UTC
*** Bug 113468 has been marked as a duplicate of this bug. ***
Comment 4 Martin Srebotnjak 2018-01-08 22:25:07 UTC
Maybe the description is too vague, but the end result is: in OSX editing more than one document in Writer (or perhaps generally in LO) is futile - the app freezes for a certain time.
So this makes LO almost an useless office suite. Shouldn't this be a blocker for macOS releases?
Comment 5 Tor Lillqvist 2018-01-08 23:02:19 UTC
Do (any of) you have Java enabled? Any extensions?
Comment 6 Telesto 2018-01-09 09:25:57 UTC Comment hidden (obsolete)
Comment 7 Telesto 2018-03-05 16:09:07 UTC Comment hidden (obsolete)
Comment 8 Telesto 2018-08-10 14:09:49 UTC Comment hidden (obsolete)
Comment 9 Jon R Kibler 2018-08-10 14:52:42 UTC
It is still reproducible on 6.1.0.3 on a Mac.
Comment 10 Telesto 2018-08-15 14:52:46 UTC
(In reply to Jon R Kibler from comment #9)
> It is still reproducible on 6.1.0.3 on a Mac.

A sample file or some additional info would be nice. The description is really too vague. I'm not experiencing any slowness.

Do (any of) you have Java enabled? Any extensions? (See Comment 5)

Version: 6.2.0.0.alpha0+
Build ID: c958f52b813d34baa9b5236bb34a08a04e6b0aba
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-08-10_05:06:44
Locale: nl-NL (nl_NL.UTF-8); Calc: threaded
Comment 11 QA Administrators 2019-08-19 06:59:15 UTC
Dear wksokoma5,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug